Can't read some mp3 files
Assignee:  % Done: 0%
Target version:    

Affects version:    

Description

Situation like https://redmine.audacious-media-player.org/issues/1032  (there a questioner didn't send a file)

Here is a Cecilia Krull well-known song. It is well played by all others applications. Audacious tells me that:

"file:///my_path/Music/Cecilia%20Krull%20-%20My%20life%20is%20going%20on%20.mp3:

Error reading metadata"

History

#1 - August 25, 2021 16:46 - Michael Schwendt

It's not an MP3 file, but an M4A file. Give it an .m4a file name extension.

$ file Cecilia\ Krull\ -\ My\ life\ is\ going\ on\ .m4a 

Cecilia Krull - My life is going on .m4a: ISO Media, Apple iTunes ALAC/AAC-LC (.M4A) Audio

#2 - August 25, 2021 21:05 - Karol Kurek

Should Audacious rely on file extension? Rely on the real type seems to be more accurate.

#3 - August 27, 2021 22:36 - John Lindgren

- Status changed from New to Rejected

Audacious will detect the file type for files that have no extension, but we don't support files that have the wrong extension, sorry.

#4 - September 07, 2021 20:19 - Michael Schwendt

Karol Kurek wrote:

Rely on the real type seems to be more accurate.

 

If and only if every file to be loaded is run through an extensive number of file type detectors, which is error-prone (e.g. due to false positives and the

requirement to examine container contents). It also takes time to examine each file and the more so for file types near the bottom of the list. Also,

multiple decoders might support the same file type but with different quality options, and then its gets awkward to prioritize decoders.
Cecilia Krull - My life is going on .mp3 2.46 MB August 25, 2021 Karol Kurek
